Subject: Can't run shell scripts with b18 and NT 3.51sp5
From: [email-masked] (Janne Kukonlehto)

13 Oct 1997 04:02:16 -0700
Message-ID: <[email-masked]>
Reply-To: Janne Kukonlehto <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

I have a following small problem:

When I try to run any shell script as "./scriptname" bash refuses to run
it. For example: 

  bash$ ./configure
  sh: ./configure: (null)
  bash$ sh configure
  creating cache ./config.cache
  configure: error: can not run ./config.sub

Could someone please tell me how to fix this problem?

Another problem: bash doesn't recognize the AltGr key. Therefore it is
impossible to type characters like $, | and \ (AltGr-4, AltGr-< and
AltGr-+ on the Finnish keyboard layout).

I am including the contents of the environment below in case they are
useful in solving the problem:

  !D:=D:\users\default
  !E:=E:\fetchmail-4.3.0
  !EXITCODE=00000000
  BASH=//e/usr/h-i386-cygwin32/bin/bash.exe
  BASH_VERSION=1.14.7(2)
  COMSPEC=D:\WINNT35\system32\cmd.exe
  EUID=500
  GCC_EXEC_PREFIX=e:\usr\h-i386-cygwin32\lib\gcc-lib\
  GDBTK_LIBRARY=e:/usr/share/gdbtcl
  HISTFILE=/.bash_history
  HISTFILESIZE=500
  HISTSIZE=500
  HOMEDRIVE=D:
  HOMEPATH=\users\default
  HOSTTYPE=i386
  IFS= 	

  MAILCHECK=60
  OPTERR=1
  OPTIND=1
  OS=Windows_NT
  OS2LIBPATH=D:\WINNT35\system32\os2\dll;
  OSTYPE=win32
  PATH=.://E/perl5/bin://E/BIN://e/usr/h-i386-cygwin32/bin://e/usr/tcl/bin://D/WINNT35/system32://D/WINNT35:.://E/SQL60/BINN
  PPID=1000
  PROCESSOR_ARCHITECTURE=x86
  PROCESSOR_IDENTIFIER=x86 Family 5 Model 2 Stepping 11, GenuineIntel
  PROCESSOR_LEVEL=5
  PROCESSOR_REVISION=020b
  PROMPT=$P$G
  PS1=bash\$ 
  PS2=> 
  PS4=+ 
  PWD=//E/fetchmail-4.3.0
  SHELL=/bin/sh
  SHLVL=1
  SYSTEMDRIVE=D:
  SYSTEMROOT=D:\WINNT35
  TCL_LIBRARY=e:/usr/tcl/lib/tcl7.6
  TEMP=E:\TEMP
  TERM=dumb
  TMP=E:\TEMP
  UID=500
  USERNAME=Administrator
  WINDIR=D:\WINNT35

- Janne

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".